<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.aspectj</groupId>
		<artifactId>aspectj-parent</artifactId>
		<version>1.9.5</version>
		<relativePath>..</relativePath>
	</parent>

	<artifactId>tests</artifactId>
	<packaging>jar</packaging>
	<name>tests</name>

	<dependencies>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>util</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>bridge</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>ajde.core</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>asm</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>runtime</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>weaver</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>org.aspectj.matcher</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>asm</groupId>
			<artifactId>asm</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/../lib/asm/asm-7.2.renamed.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>org.aspectj.ajdt.core</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>org.eclipse.jdt.core</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>org.aspectj.ajdt.core</artifactId>
			<version>${project.version}</version>
			<type>test-jar</type>
		</dependency>
		<dependency>
			<groupId>ant</groupId>
			<artifactId>ant</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/../lib/ant/lib/ant.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>ajde.core</artifactId>
			<version>${project.version}</version>
			<type>test-jar</type>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>bcel-builder</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>testing</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>testing</artifactId>
			<version>${project.version}</version>
			<type>test-jar</type>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>testing-drivers</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>testing-util</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>ant</groupId>
			<artifactId>ant-launcher</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/../lib/ant/lib/ant-launcher.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>commons</groupId>
			<artifactId>commons</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${project.basedir}/../lib/commons/commons.jar</systemPath>
		</dependency>
	</dependencies>


	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<configuration combine.self="override">
						<testFailureIgnore>true</testFailureIgnore>
						<includes>
							<include>**/TestsModuleTests*</include>
						</includes>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>

</project>
